* {
    box-sizing: border-box;
}

.Theme_Container {
    width: 100%;
    max-width: 1600px;
    margin: 0px auto;
    
    display: grid;
    gap: 70px;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    justify-content: center;

    padding: 10px 20px;
}

.Theme_Left {
    display: grid;
    gap: 15px;
    grid-template-rows: 1fr min-content min-content;
}

.Theme_Left > div {
    border: 1px solid #ccc;
    border-radius: 5px;
    padding: 20px;
}

.Theme_Right {
    display: grid;
    gap: 20px;
    align-items: start;
}

.Theme_ButtonBox {
    display: grid;
    gap: 15px;
    grid-template-columns: 1fr 1fr 1fr;
    grid-template-columns: repeat(auto-fit, minmax(180px, 1fr));
}

.Theme_Button {
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid #0076ff;
    border-radius: 5px;
    font-size: 15px;
}

.Theme_Button_LINE {
    border: none;
    background-color: #00b900;
    color: #fff;
}

.ThemeForm_Container {
    display: grid;
    gap: 10px;
}

.ThemeForm_CharCountBox {
    justify-self: end;
}

.ThemeForm_SelectionCharCountBox {
    justify-self: end;
}

.ThemeForm_Textarea {
    width: 100%;
    box-sizing: border-box;
    border: 1px solid #ccc;
    padding: 20px;
    font-size: 20px;
    color: #333;
}

.ThemeForm_ButtonBox {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 0px;
}


.EssayNoticePage_Container {
    display: grid;
    gap: 20px;
    width: 100%;
    max-width: 1000px;
    margin: 20px auto;
    padding: 10px 10px 20px 10px;
}

.EssayNoticePage_NoticeBodyBox {
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 20px;

    display: grid;
    align-content: start;
    gap: 20px;
}

.EssayNoticePage_Checkbox_Box {
    width: 100%;
    max-width: 500px;

    display: grid;
    gap: 20px;
}

.EssayNoticePage_Checkbox {
    display: flex;
    gap: 10px;
    align-items: center;
}

.EssayNoticePage_ButtonBox {
    display: flex;
    justify-content: center;
    align-items: center;
}

#EssayNoticePage_ThemeName {
    font-weight: bold;
}

.EssayNoticePage_LINEAddFrendsButton_Box {
    display: flex;
    justify-content: center;
    align-items: center;
}

.EssayNoticePage_Program_Box {
    width: 100%;
}

.EssayNoticePage_Program_Box > img {
    width: 100%;
    border-radius: 10px;
}

#LessonIframe {
    border: 0;
    background-color: #fff;
}

.Notice_Badge {
    display: block;
    text-align: center;
    border-radius: 5px;
    background-color: #777;
    color: #fff;
    padding: 3px 10px;
    margin-right: 10px;
}

.Notice_Row {
    display: grid;
    grid-template-columns: 100px 1fr;
    gap: 15px;
    align-items: baseline;
    font-weight: bold;
}


.EssaySubmitPage_Container {
    display: grid;
    gap: 20px;
    width: 100%;
    max-width: 1000px;
    margin: 20px auto;
    padding: 10px 10px 20px 10px;
}

.EssaySubmitPage_Box {
    border: 1px solid #ddd;
    border-radius: 5px;
    padding: 20px;

    display: grid;
    align-content: start;
    gap: 20px;
}

.EssaySubmitPage_LINEReminder {
    text-align: center;
}

.EssaySubmitPage_Desc {
    display: grid;
    gap: 20px;
    grid-template-columns: 1fr 1fr;
}

.EssaySubmitPage_Desc_Box {
    line-height: 1.7;
}

.EssaySubmitPage_DescImg {
    width: 100%;
    border-radius: 10px;
}

.EssaySubmitPage_Icon {
    text-align: center;
}

.EssaySubmitPage_Icon > ons-icon {
    font-size: 50px;
    color: #33aa33;
}

.EssaySubmitPage_Text {
    text-align: center;
}